Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.util.spring
Class GenericBeanUpdater

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.util.spring.AbstractBeanPropertyProcessor
          com.jaspersoft.jasperserver.api.common.util.spring.GenericBeanUpdater

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

    public class GenericBeanUpdater

extends AbstractBeanPropertyProcessor

Author:
  bob

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`GenericBeanUpdater()`

Method Summary
`java.lang.String` | `getBeanName()`
`java.lang.String` | `getBefore()`
`GenericBeanUpdaterDefinition` | `getDefinition()`
`java.lang.String` | `getKey()`
`int` | `getOrder()`
`protected java.lang.Object` | `getProcessedPropertyValue(java.lang.Object originalValue)`
`java.lang.String` | `getPropertyName()`
`java.lang.Object` | `getValue()`
`void` | `setBefore(java.lang.String before)`
`void` | `setDefinition(GenericBeanUpdaterDefinition definition)`
`void` | `setKey(java.lang.String key)`
`void` | `setOrder(int order)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class com.jaspersoft.jasperserver.api.common.util.spring.AbstractBeanPropertyProcessor
`postProcessBeanFactory, setBeanName, setPropertyName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericBeanUpdater

    public GenericBeanUpdater()

Method Detail

### getProcessedPropertyValue

    protected java.lang.Object getProcessedPropertyValue(java.lang.Object originalValue)

  Specified by:
    `getProcessedPropertyValue` in class `AbstractBeanPropertyProcessor`

### getBeanName

    public java.lang.String getBeanName()

  Overrides:
    `getBeanName` in class `AbstractBeanPropertyProcessor`

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`
  Overrides:
    `getOrder` in class `AbstractBeanPropertyProcessor`

### setOrder

    public void setOrder(int order)

  Overrides:
    `setOrder` in class `AbstractBeanPropertyProcessor`

### getPropertyName

    public java.lang.String getPropertyName()

  Overrides:
    `getPropertyName` in class `AbstractBeanPropertyProcessor`

### getDefinition

    public GenericBeanUpdaterDefinition getDefinition()

### setDefinition

    public void setDefinition(GenericBeanUpdaterDefinition definition)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### getBefore

    public java.lang.String getBefore()

### setBefore

    public void setBefore(java.lang.String before)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.